@import 'variables';

.formula-form {
  position: relative;
  width: 500px;
  &__title {
    font-size: 20px;
    font-weight: bold;
    margin: 0;
  }

  &__separator {
    margin: 20px 0;
  }

  &__group-name {
    font-size: 16px;
    font-weight: bold;
    margin: 0 0 10px;
  }

  &__input {
    width: 100%;
  }

  &__units {
    height: 290px;
    overflow-y: auto;
  }

  &__button {
    background-color: $primary-color;
    color: $white;
    font-size: 16px;
    border-radius: 8px;
    margin: 10px 0;
    padding: 2px 15px 2px 15px;
    &--cancel {
      font-weight: bold;
      background-color: $white;
      color: $primary-color;
    }
    &--prev {
      float: right;
      font-weight: bold;
      background-color: $white;
      color: $primary-color;
    }
  }

  &__close-button {
    position: absolute;
    right: 0;
    top: 0;
    height: 10px;
    width: 10px;
    cursor: pointer;
    &:before {
      display: block;
      position: absolute;
      top: 4px;
      left: -5px;
      content: '';
      width: 20px;
      height: 2px;
      background-color: $gray-medium-light;
      transform: rotate(45deg);
    }
    &:after {
      display: block;
      position: absolute;
      top: 4px;
      left: -5px;
      content: '';
      width: 20px;
      height: 2px;
      background-color: $gray-medium-light;
      transform: rotate(-45deg);
    }
  }
}

::ng-deep .formula-form .mat-dialog-container {
  border-radius: 8px;
}

::ng-deep .formula-form {
  .mat-form-field-infix {
    height: 40px;
    color: $gray-medium-dark;
    line-height: 40px;
    border: 1px solid $gray-medium-light;
    border-radius: 4px;
    padding: 0 10px;
  }

  .mat-form-field-underline {
    display: none;
  }

  .mat-form-field-label {
    top: auto;
    font-size: 12px;
    color: $gray-medium-light;
    line-height: 40px;
    padding: 0 10px;
  }

  .mat-focused {
    .mat-form-field-label {
      color: $gray-medium-light;
    }
  }
}
